#Modelisation du mouvement parabolique d une balle lancee

import numpy as np
from scipy import *
import matplotlib.pyplot as plt

#Preciser la duree de la sequence
T=

#preciser les coefficient de l equation de la parabole de la forme y=ax2+bx+c
a=
b=
c=

#Trace des points modelisant la trajectoire etudiee
t=np.linspace(0,T,22)
g=9.8
x=0-g/2/a*t
y=c+b*t+a*t**2

plt.plot(x,y,"o")
plt.grid()
plt.show()

#Traces des vecteurs variation de vitesse pour les points de la parabole
vy=diff(y,1)
vx=diff(x,1)
ay=diff(vy,1)
ax=diff(vx,1)
X=x[0:21]
Y=y[0:21]
n=arange(20)
for i in n :
    plt.arrow(x[i],y[i],10*ax[i],10*ay[i],fc="k",ec="k",head_width=0.05, head_length=0.1)
    
plt.plot(x,y,"ro")
plt.grid()
plt.show()
